---
title: "Update workspace · Workspace · COUNT Partner API"
description: "Updates workspace settings. Currently `cutoverDate` only. PATCH /partners/workspace"
canonical: "https://developers.getcount.com/reference/workspace/update-workspace"
source: "https://developers.getcount.com/reference/workspace/update-workspace"
---
[Workspace](https://developers.getcount.com/reference/workspace) / Update workspace

# Update workspace

PATCH `/partners/workspace`

Updates workspace settings. Currently `cutoverDate` only.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=PATCH&path=%2Fpartners%2Fworkspace&body=%7B%0A++%22cutoverDate%22%3A+%222026-03-01%22%0A%7D)

[Opening Balance](https://developers.getcount.com/reference/opening-balance) [Workspace Stats](https://developers.getcount.com/reference/workspace-stats)

#### Request body

`cutoverDate` date required

YYYY-MM-DD cutover date.

#### Responses

`200` Workspace updated.

`400` Missing/invalid cutoverDate, or cutover move rejected by guards.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Next GET Get workspace GST settings](https://developers.getcount.com/reference/workspace/get-workspace-gst-settings)

PATCH `https://api.getcount.com/partners/workspace`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'PATCH';
const signingPath = '/workspace';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
  "cutoverDate": "2026-03-01"
};
const bodyString = JSON.stringify(body);

const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/workspace`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    'Content-Type': 'application/json',
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
  body: bodyString,
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Workspace cutover date updated successfully.",
  "data": {
    "workspace": {
      "cutoverDate": "2026-03-01"
    }
  }
}
```
